ElementEdgeCheckBuilder Class

class NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder

Bases: NXOpen.Builder, NXOpen.CAE.ModelCheck.ISelectionBuilder

Represents a NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder which can be used to detect free element edges or non-manifold edges.

A free edge is any Element edge that is not shared by any other element face (on either 2D or 3D elements ) within the defined scope of the check. A non-manifold edge is any Element edge that is shared more than 2 element faces (on either 2D or 3D elements ) within the defined scope of the check.

The computation scope ElementEdgeCheckBuilder.ComputationScope`() will affect on the checking result. The free element edges or non-manifold edges found will be displayed using the display setting NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderEdgeDisplayStyle_Struct. You can execute checking through Builder.Commit() or NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.ExecuteCheck(). Commiting the builder performs checking and displays the free edges and non-manifold edges in graphic window.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateElementEdgeCheckBuilder()

New in version NX8.5.0.

Properties

Property Description
CheckFreeEdges Returns or sets the value indicating whether to check free edges or not
CheckNonManifoldEdges Returns or sets the value indicating whether to check non-manifold edges or not
CheckScopeOption Returns or sets the check scope setting
ComputationScope Returns or sets the computation scope
FreeEdgeDisplayStyle Returns or sets the display style for free edges detected
NonManifoldEdgeDisplayStyle Returns or sets the displaying style for non-manifold edges detected
SelectionList Returns the selected objects to be checked.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DoCheck Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges`() is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges`() is set, returns the associated elements and output group for free and/or non-manifold element edges.
ExecuteCheck Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges`() is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges`() is set.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
HideInputMeshes Hides or unhides the input meshes
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

ElementEdgeCheckBuilderScope Enumeration the Scope over which the Computation of free/non-manifold edges with be done

Structs

ElementEdgeCheckBuilderEdgeDisplayStyle_Struct Struct the display style of the edges detected

Property Detail

CheckFreeEdges

ElementEdgeCheckBuilder.CheckFreeEdges

Returns or sets the value indicating whether to check free edges or not

-------------------------------------

Getter Method

Signature CheckFreeEdges

Returns:
Return type:bool

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckFreeEdges

Parameters:checkFreeEdges (bool) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CheckNonManifoldEdges

ElementEdgeCheckBuilder.CheckNonManifoldEdges

Returns or sets the value indicating whether to check non-manifold edges or not

-------------------------------------

Getter Method

Signature CheckNonManifoldEdges

Returns:
Return type:bool

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckNonManifoldEdges

Parameters:checkNonManifoldEdges (bool) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CheckScopeOption

ElementEdgeCheckBuilder.CheckScopeOption

Returns or sets the check scope setting

-------------------------------------

Getter Method

Signature CheckScopeOption

Returns:
Return type:NXOpen.CAE.ModelCheck.CheckScope

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckScopeOption

Parameters:scope (NXOpen.CAE.ModelCheck.CheckScope) –

New in version NX11.0.1.

License requirements: None.

ComputationScope

ElementEdgeCheckBuilder.ComputationScope

Returns or sets the computation scope

-------------------------------------

Getter Method

Signature ComputationScope

Returns:
Return type:NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderScope

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ComputationScope

Parameters:computationScope (NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderScope) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FreeEdgeDisplayStyle

ElementEdgeCheckBuilder.FreeEdgeDisplayStyle

Returns or sets the display style for free edges detected

-------------------------------------

Getter Method

Signature FreeEdgeDisplayStyle

Returns:
Return type:NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderEdgeDisplayStyle_Struct

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FreeEdgeDisplayStyle

Parameters:freeEdgesStyle (NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderEdgeDisplayStyle_Struct) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

NonManifoldEdgeDisplayStyle

ElementEdgeCheckBuilder.NonManifoldEdgeDisplayStyle

Returns or sets the displaying style for non-manifold edges detected

-------------------------------------

Getter Method

Signature NonManifoldEdgeDisplayStyle

Returns:
Return type:NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderEdgeDisplayStyle_Struct

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature NonManifoldEdgeDisplayStyle

Parameters:nonManifoldEdgeStyle (NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilderEdgeDisplayStyle_Struct) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SelectionList

ElementEdgeCheckBuilder.SelectionList

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

-------------------------------------

Getter Method

Signature SelectionList

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX8.5.0.

License requirements: None.

Method Detail

DoCheck

ElementEdgeCheckBuilder.DoCheck

Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges`() is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges`() is set, returns the associated elements and output group for free and/or non-manifold element edges.

For the associated elements, if both checks are done at the same time, the elements associated to free edges are returned firstly in the list.

Signature DoCheck()

Returns:a tuple
Return type:A tuple consisting of (freeEdges, nonManifoldEdges, assoElems, outputGroup). freeEdges is a list of NXOpen.CAE.FEElemEdge. free element edges nonManifoldEdges is a list of NXOpen.CAE.FEElemEdge. non-manifold element edges assoElems is a list of NXOpen.CAE.FEElement. associated elements for free and/or non-manifold element edges, if both checks are done at the same time, the elements associated to free edges are returned firstly in the list. outputGroup is a NXOpen.CAE.CaeGroup. output group for free and/or non-manifold element edges

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ExecuteCheck

ElementEdgeCheckBuilder.ExecuteCheck

Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges`() is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges`() is set.

The method Builder.Commit() will also do the same thing, but display the element edges instead of returning them.

Signature ExecuteCheck()

Returns:a tuple
Return type:A tuple consisting of (freeEdges, nonManifoldEdges). freeEdges is a list of NXOpen.CAE.FEElemEdge. free element edges nonManifoldEdges is a list of NXOpen.CAE.FEElemEdge. non-manifold element edges

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

HideInputMeshes

ElementEdgeCheckBuilder.HideInputMeshes

Hides or unhides the input meshes

Signature HideInputMeshes(hideInputMeshes)

Parameters:hideInputMeshes (bool) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Validate

ElementEdgeCheckBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.